<div class="container-fluid">
    <div class="row">
        <div class="col-12">
            <h1 class="title"><%= title %></h1>
            <hr>

            <div class="card mb-4 shadow-sm">
                <div class="card-header">
                  <h4 class="my-0 font-weight-normal">Orden N° <%= order.code %> </h4>
                </div>
                <div class="card-body" style="font-size: medium;">
                    <div class="row">
                        <div class="col-12 col-md-6 text-center text-md-left">
                            <h4><strong>Artículo: </strong> <%= order.title %> </h4>
                            <h1 class="card-title pricing-card-title">$ <%= parseFloat(order.unit_price).toLocaleString('es-CO') %>  <small class="text-muted">x <%= parseFloat(order.quantity) %> </small></h1>
                            <ul class="list-unstyled mt-3 mb-4">
                                <li><strong>Vendedor: </strong> <%= order.artistic_name %></li>
                                <li><strong>Comprador: </strong><%= order.fullname %></li>
                                <li><strong>Documento: </strong><%= order.doc %></li>
                                <li><strong>Dirección: </strong><%= order.fulladdress %></li>
                                <li><strong>Teléfono: </strong> <%= order.phone %> </li>
                            </ul>
                        </div>
                        <div class="col-12 col-md-6 text-center text-md-right">
                            <h4>Importe total</h4>
                            <h1 class="card-title pricing-card-title">$ <%= parseFloat(order.total).toLocaleString('es-CO') %></h1>
                            <ul class="list-unstyled mt-3 mb-4">
                                <li><strong>Estado: </strong> <%= order.status %> </li>
                                <li><strong>Pedido el: </strong> <%= new Date(order.create_time).toLocaleDateString("es-CO", { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' }) %></li>
                                <li><strong>Pagado el: </strong> <%= new Date(order.paid_at).toLocaleDateString("es-CO", { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' }) %></li>
                            </ul>
                        </div>
                    </div>
                    <% if (locals.order.status === 'Finalizado') { %> 
                        <button type="button" class="btn btn-lg btn-block btn-outline-success">Order finalizada</button>
                    <% } else if (locals.order.status === 'Cancelado') { %>
                        <button type="button" class="btn btn-lg btn-block btn-outline-danger">Order cancelada</button>
                    <% } else if (locals.order.status === 'En espera' || locals.order.status === 'En disputa') { %>
                        <button type="button" class="btn btn-lg btn-block btn-outline-warning">Cancelar orden</button>
                    <% } else if (locals.order.status === 'En camino') { %>
                        <button type="button" class="btn btn-lg btn-block btn-outline-info">La orden ya fue enviada</button>
                    <% } %> 
                </div>
            </div>
            
        </div>
    </div>
</div>